There a way to turn off "Version" requirement?

Seems several of these gadgets and reports require a "Version" to be created. I don't want to create a "Version". I should be able run a report or gadget off of all items. Is this not possible? Or by Sprint, which also seems not possible. Can this not be turned off?

4 answers

0 votes

Most places that demand a version to be used do it for good reasons.

Could you explain which reports and gadgets you are trying to use without them? So we can explain why it's needed and see if we can find alternatives.

Many gadget uses version or filter, can use use your own filter perhaps? Or are you referring to the agile gadget that filers out all issues that have no fixVersion? As Nic said, it would help if you specify what gadgets or reports you are referring to.

Granted I'm adding all the agile ones because I don't know what the differences are.

Using a Scrum based project.

  • Agile Classic Cumulative Flow Chart
    • This one I would have liked, but requires a Version as well like the others beelow.
    • Even though I can go to the Sprint and go to Reports and the Cumulative Flow works there.
  • Agile Classic Days Remaining
    • Not sure if I should be using this. Doesn't require Version but doesn't show any data.
  • Agile Classic Hour Burndown Chart
    • Requires a Version for a Burndown. It based it on Sprints not Versions.
    • Version has "Next End Date Scheduled" but that doesn't work
    • Don't understand why I need a "Version" when a Burn down is for the current Sprint or a previous Sprint. I should have to select either a Sprint or "current sprint"
  • Agile Classic Statistics Burndown Chart
    • Requires a Version for a Burndown. It based it on Sprints not Versions.
    • Version has "Next End Date Scheduled" but that doesn't work
  • Agile Classic Task Board
    • Works great - I have no Version
  • Agile Days Remaining in Sprint Gadget
    • Works great - I have no Version
  • Agile Sprint Burndown Gadget
    • Works great - I have no Version
  • Agile Sprint Health Gadget
    • Works great - I have no Version
  • Agile Wallboard Gadget
    • Works great - I have no Version

Was this thread closed? I'm trying to add gadgets with Jira Agile and we don't use versions, so I'm finding the selection of gadgets limiting. Many of the gadgets would be great if they would only report against a given sprint or filter view. There are many that require a project, but since we're tracking many projects, these don't work for us.

No, not closed, there just wasn't any response.

Although Fred posted a good list of what was in use, there's no explanation of why versions don't work. The charts that require a version really do need you to do versions roughly as designed, and are essentially useless without versions. The ones that don't need versions, well, don't need them, so there's no problem.

I think the problem here is that there's no explanation of why versions aren't working. You can do the absolute minimum with them and then essentially ignore them.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Apr 22, 2018 in Jira Software

How-to setup a secured Jira Software 7.9.0 on Ubuntu 16.04.4 in less than 30 minutes

...PermissionsStartOnly=true User=www-data Group=www-data ExecStart=/opt/jira/bin/startup.sh ExecStop=/opt/jira/bin/shutdown.sh TimeoutStartSec=120 TimeoutStopSec=600 PrivateTmp=true [Install] WantedBy...

2,111 views 14 13
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you